package examples.EventExamples;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Cursor;
import javafx.scene.Scene;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class DraggingCursor extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
        
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
        Scene scene = new Scene(root, 300, 250);
        
        // handles events on scene
        scene.setOnMousePressed(
        	    new EventHandler<MouseEvent>() {
            		@Override public void handle(MouseEvent e) {
            			scene.setCursor(Cursor.CLOSED_HAND); //Change cursor to closed hand
            			System.out.println("Drag detected inside window");
            		}
        });
        scene.setOnMouseReleased(
        	    new EventHandler<MouseEvent>() {
            		@Override public void handle(MouseEvent e) {
            			scene.setCursor(Cursor.DEFAULT); //Change cursor to default
            			System.out.println("Drag detected inside window");
            		}
        });
        
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}
