package examples.Windows;

import javafx.application.Application;
import javafx.beans.value.ObservableValue;
import javafx.beans.value.ChangeListener;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.Toggle;
import javafx.scene.control.ToggleButton;
import javafx.scene.control.ToggleGroup;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class ReplacingPanel extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
         
    	//a togglebutton bar 
    	ToggleGroup toggleGroup = new ToggleGroup();
    	
    	ToggleButton toggleButton1 = new ToggleButton("Left");
    	ToggleButton toggleButton2 = new ToggleButton("Right");
    	
    	toggleButton1.setToggleGroup(toggleGroup);
    	toggleButton2.setToggleGroup(toggleGroup);
    	
    	HBox toggles = new HBox(toggleButton1, toggleButton2);
    	
    	
    	// creating a Pane for the left view
        FlowPane left = new FlowPane();
        left.setAlignment(Pos.CENTER);
        left.getChildren().add(new Label("Left view"));
        left.setStyle("-fx-background-color: #336699;");
    	
    	// creating a Pane forthe right view
        FlowPane right = new FlowPane();
        right.setAlignment(Pos.CENTER);
        right.getChildren().add(new Label("Right view"));
        right.setStyle("-fx-background-color: #36577D;");
        
        
        
        // main scene contains the toggle button bar and a panel that we will replace based on toggle events
        BorderPane root = new BorderPane();  
        root.setTop(toggles);
        root.setCenter(left);
        
        toggleGroup.selectedToggleProperty().addListener(new ChangeListener<Toggle>(){
            public void changed(ObservableValue<? extends Toggle> ov,
                Toggle toggle, Toggle new_toggle) {
                    if (new_toggle == toggleButton1)
                    	root.setCenter(left);
                    else
                    	root.setCenter(right);
                 }
        });
        
      

        // creating a scene graph to store the Pane container
        Scene scene_one = new Scene(root, 300, 250);
        // adding the scene graph to the stage already created by the Application 
        primaryStage.setTitle("Flip tabs / panels");
        primaryStage.setScene(scene_one);
        primaryStage.show();
    }
}