package examples.graphics;

import java.io.FileInputStream;
import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class DrawingImages extends Application {

	@Override
	public void start(Stage primaryStage) throws Exception {
		      //Creating an image 
		
			  String path = "resources/kitten.jpg"; // if in windows fix path
		      Image image = new Image(new FileInputStream(path));  
		      
		      //Setting the image view 
		      ImageView imageView = new ImageView(image); 
		      
		      //Setting the position of the image 
		      imageView.setX(50); 
		      imageView.setY(25); 
		      
		      //fit the image view width to this number of pixels
		      imageView.setFitWidth(300); 
		      
		      //Setting the preserve ratio of the image view 
		      imageView.setPreserveRatio(true); 
		      
		      //listen for mouse click events
			      imageView.setOnMouseClicked(e->{
			        	System.out.println("Clicked on " + path);
			        	imageView.setRotate(imageView.getRotate()+30);
			        });
		      
		      //Creating a layout 
		      FlowPane root = new FlowPane();
		      root.setAlignment(Pos.CENTER);
		      root.getChildren().add(imageView);
		      
		      root.getChildren().add(new Label(path));
		      
		      //Creating a scene object 
		      Scene scene = new Scene(root, 300, 400);  
		      
		      //Setting title to the Stage 
		      primaryStage.setTitle("Loading an image");  
		      
		      //Adding scene to the stage 
		      primaryStage.setScene(scene);
		      
		      //Displaying the contents of the stage 
		      primaryStage.show(); 
		   }   
	
	   public static void main(String args[]) { 
		      launch(args); 
		   }
}
