package examples.graphics;

import javafx.application.Application;
import javafx.event.Event;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.FlowPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Ellipse;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.Shape;
import javafx.stage.Stage;

public class DrawingShapeNodes extends Application {
	
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
  
        EventHandler click_ev = new EventHandler<Event>() {
    		@Override public void handle(Event e) {
       				System.out.println("Detected " + e.getClass().getName() + " on a "+ e.getSource().getClass().getName());  
       				Shape s = (Shape) (e.getSource())  ;
       				s.setRotate(s.getRotate()+30);
       			}
        };
        
        EventHandler enter_ev = new EventHandler<Event>() {
    		@Override public void handle(Event e) {
       			Shape s = (Shape) (e.getSource())  ;
       			s.setStroke(Color.BLACK);
    		}
       	};      
        EventHandler exit_ev = new EventHandler<Event>() {
    		@Override public void handle(Event e) {
       			Shape s = (Shape) (e.getSource())  ;
       			s.setStroke(s.getFill());
    		}
       	}; 
       	
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
		
        Rectangle rec = new Rectangle(100,50);
        rec.setFill(Color.CORAL);
        rec.setOnMouseClicked(click_ev);
        rec.setOnMouseEntered(enter_ev);
        rec.setOnMouseExited(exit_ev);
        
        Ellipse cir = new Ellipse(100,50);
        cir.setFill(Color.AQUAMARINE);
        cir.setRotate(30);
        cir.setOnMouseClicked(click_ev);
        cir.setOnMouseEntered(enter_ev);
        cir.setOnMouseExited(exit_ev);
        
        Scene scene = new Scene(root, 400, 250);
        root.getChildren().addAll(rec,cir);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

}
