package examples.graphics;

import java.io.FileInputStream;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.geometry.Rectangle2D;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class ResizingImages extends Application {

	@Override
	public void start(Stage primaryStage) throws Exception {
		
		    //Creating a layout 
		      FlowPane root = new FlowPane();
		      root.setAlignment(Pos.CENTER);
		      Scene scene = new Scene(root, 100, 200);  

		      //Creating an image 	
			  String path = "resources/kitten.jpg"; // if in windows fix path
		      Image image = new Image(new FileInputStream(path));  
		      
		      // in this ImageView zooming into one area of the image
		      Rectangle2D viewPort = new Rectangle2D(30, 30, 120, 80); // what part to pick
		      ImageView imageView1 = new ImageView(image);
		      imageView1.setViewport(viewPort); // only seeing that part defined in viewport
		      imageView1.setFitWidth(100); // how big to show it in width
		      imageView1.setFitHeight(100); // how big to show it in height
		      imageView1.setPreserveRatio(true); // this preserves ratio no matter how we try to fit
		      root.getChildren().add(imageView1);
		  
		      // in this ImageView change the resizing behavior
		      ImageView imageView2 = new ImageView(image);
		      // imageView2.setFitHeight(100); // height always the same
		      imageView2.fitWidthProperty().bind(scene.widthProperty()); // bind width size to that of the scene width
		      imageView2.setPreserveRatio(true); 
		      root.getChildren().add(imageView2);
		      
		      //Setting scene 
		      primaryStage.setTitle("Loading an image");  
		      primaryStage.setScene(scene);
		      primaryStage.show(); 
		   }  
		 
		   public static void main(String args[]) { 
		      launch(args); 
		   }
}
